JanosVM v0.6.0 Java API

## edu.utah.janosvm.sys
Class DuplicateExportException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--edu.utah.janosvm.sys.DuplicateExportException

public class DuplicateExportException
extends java.lang.Exception

Exception thrown when trying to export a object with an 'id' that has already been used. Ids for exportable objects are guaranteed to be unique. This is enforced when Exportables are actually exported from their team. The name must be unique in the 'equals' sense, not the '==' sense. (Think Hashtable key.)

Author:
  Tim Stack, Utah Janos Team
See Also:
  `Exportable`, Serialized Form

Constructor Summary
`DuplicateExportException(java.lang.String s)`

Methods inherited from class java.lang.Throwable
`clone, fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, stringStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DuplicateExportException

    public DuplicateExportException(java.lang.String s)

JanosVM v0.6.0 Java API

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002